Subject: bug#30043: 25.3; C-M-e inserts euro character

From: Eli Zaretskii <[email-masked]>
Date: Sun, 29 Sep 2019 19:00:38 +0300

> Date: Sun, 29 Sep 2019 18:52:25 +0300
> From: Eli Zaretskii <[email-masked]>
> Cc: [email-masked], [email-masked], [email-masked]
> 
> > If it's the case that this change breaks M-C-e on all Swedish
> > keyboards on MS-Windows
> 
> I don't think this is the case.  C-M-e does in Emacs exactly what it
> should do, it just doesn't do what it does in other applications,
> i.e. insert the Euro symbol.  But why should C-M-e do that in Sweden,
> when it doesn't do that in other locales?  It sounds like Emacs
> behaves consistently here.

Btw, the reason could be as simple as this: other applications
react to AltGr+e and C-M-e the same (because AltGr is sometimes
equivalent to Alt+Ctrl pressed together), whereas Emacs distinguishes
them, which was part of the reason for the changes we made in Emacs
25.  IOW, this is a feature.